Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class ScriptException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              groovy.util.ScriptException

    public class ScriptException
    extends java.lang.Exception

Authors:
  sam

Constructor Summary
`ScriptException()`
`ScriptException(java.lang.String message)` @param message
`ScriptException(java.lang.String message, java.lang.Throwable cause)` @param message
`ScriptException(java.lang.Throwable cause)` @param cause

Method Summary

Methods inherited from class java.lang.Exception
java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Methods inherited from class java.lang.Throwable
java.lang.Throwable#printStackTrace(), java.lang.Throwable#printStackTrace(java.io.PrintStream), java.lang.Throwable#printStackTrace(java.io.PrintWriter), java.lang.Throwable#fillInStackTrace(), java.lang.Throwable#getCause(), java.lang.Throwable#initCause(java.lang.Throwable), java.lang.Throwable#toString(), java.lang.Throwable#getMessage(), java.lang.Throwable#getLocalizedMessage(), java.lang.Throwable#getStackTrace(), java.lang.Throwable#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Throwable#addSuppressed(java.lang.Throwable), java.lang.Throwable#getSuppressed(), java.lang.Throwable#wait(long), java.lang.Throwable#wait(long, int), java.lang.Throwable#wait(), java.lang.Throwable#equals(java.lang.Object), java.lang.Throwable#hashCode(), java.lang.Throwable#getClass(), java.lang.Throwable#notify(), java.lang.Throwable#notifyAll()

Constructor Detail

### ScriptException

    public ScriptException()

### ScriptException

    public ScriptException(java.lang.String message)

  Parameters:
    message

### ScriptException

    public ScriptException(java.lang.String message, java.lang.Throwable cause)

  Parameters:
    message
    cause

### ScriptException

    public ScriptException(java.lang.Throwable cause)

  Parameters:
    cause

Groovy Documentation